Name:          libffcall
Version:       2.1
Release:       1mamba
Summary:       Libraries that can be used to build foreign function call interfaces.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/libffcall/
Source:        https://ftp.gnu.org/gnu/libffcall/libffcall-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is a collection of four libraries which can be used to build foreign function call interfaces in embedded interpreters.

The four packages are:
avcall - calling C functions with variable arguments
vacall - C functions accepting variable argument prototypes
trampoline - closures as first-class C functions
callback - closures with variable arguments as first-class C functions (a reentrant combination of vacall and trampoline)

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is a collection of four libraries which can be used to build foreign function call interfaces in embedded interpreters.

This package contains libraries and header files need for development.

%package static
Summary:  Static libraries and headers for %{name}
Group:    Development/Libraries
Requires: %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
This is a collection of four libraries which can be used to build foreign function call interfaces in embedded interpreters.

This package contains static libraries for development.

%prep

%setup -q

%build
%configure \
   --prefix=%{_prefix} \
   --mandir=%{_mandir} \
   --enable-shared \
   --enable-static

make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__mkdir_p} %{buildroot}%{_includedir}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_mandir}
%{__mkdir_p} %{buildroot}%{_datadir}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man3/*.3.gz
%doc %{_datadir}/html/*.html
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%doc NEWS README 

%files static
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sat Jun 01 2019 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Sat Aug 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.20120424svn-1mamba
- update to 1.10.20120424svn
- should build on arm

* Sat Aug 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10-2mamba
- rebuilt

* Mon Nov 10 2008 gil <puntogil@libero.it> 1.10-1mamba
- package created by autospec
